Summary:        Internationalization library for Perl, compatible with gettext
Name:           perl-libintl-perl
Version:        1.33
Release:        3%{?dist}
License:        GPLv3+ and LGPLv2+
URL:            https://metacpan.org/release/libintl-perl
Source0:        https://cpan.metacpan.org/authors/id/G/GU/GUIDO/libintl-perl-%{version}.tar.gz

BuildRequires:  coreutils, findutils, glibc-common, sed
BuildRequires:  gcc, make
BuildRequires:  perl-interpreter, perl-devel, perl-generators, perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Config), perl(Cwd), perl(vars), perl(base), perl(bytes), perl(DynaLoader)
BuildRequires:  perl(File::Find), perl(File::Basename), perl(File::Spec), perl(File::ShareDir)
BuildRequires:  perl(locale), perl(I18N::Langinfo), glibc-langpack-de, glibc-langpack-en
BuildRequires:  perl(strict), perl(integer), perl(constant)
BuildRequires:  perl(Encode), perl(Encode::Alias), perl(POSIX)
BuildRequires:  perl(Exporter), perl(IO::Handle)
BuildRequires:  perl(Test), perl(Test::Harness)
Requires:       perl(Carp), perl(Encode::Alias), perl(POSIX)
Recommends:     perl(File::ShareDir)
Recommends:     perl(I18N::Langinfo)
Provides:       perl-libintl = %{version}-%{release}

%description
The package libintl-perl is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.


%prep
%autosetup -n libintl-perl-%{version}

find -type f -exec chmod -x {} \;
find lib/Locale gettext_xs \( -name '*.pm' -o -name '*.pod' \) \
    -exec sed -i -e '/^#! \/bin\/false/d' {} \;
cd sample/simplecal
sed -i -e '1i#!%{__perl}' bin/simplecal.pl Makefile.PL
for file in po/*.po; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    mv $file.new $file
done
rm .gitignore MANIFEST


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}

%check
make test

%files
%license COPYING
%doc Changes Credits FAQ NEWS README REFERENCES THANKS TODO sample
%{perl_vendorlib}/Locale/
%{perl_vendorarch}/auto/Locale/
%{_mandir}/man?/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.33-1
- Upgrade to upstream version 1.33
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 yangke <yangke@redflag-os.com> - 1.32-1
- init build
